import 'package:expanding_picker_sheet/expanding_picker_sheet.dart';
import 'package:example/wallpaper_state_provider.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

// This screen shows up when you tap on sheet button on home screen
class PickerScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    var wallpapersProvider = Provider.of<SheetProvider>(context);

    return Scaffold(
      backgroundColor: Colors.deepPurple,
      floatingActionButton: FloatingActionButton(
        child: Icon(Icons.close),
        onPressed: () {
          ExpandingPickerSheet.of(context).close();
        },
      ),
      body: Center(
        child: ListView.builder(
          itemCount: wallpapersProvider.feedTitles.length,
          itemBuilder: (context, index) {
            return InkWell(
                onTap: () {
                  wallpapersProvider.loadContent(index);
                  ExpandingPickerSheet.of(context).close();
                },
                child: Container(
                  margin:
                      const EdgeInsets.symmetric(vertical: 5, horizontal: 10),
                  decoration: BoxDecoration(
                      color: Colors.black54,
                      borderRadius: BorderRadius.circular(5),
                      border: Border.all(color: Colors.white, width: 2)),
                  child: ListTile(
                    title: Text(
                      wallpapersProvider.feedTitles[index],
                      style: TextStyle(color: Colors.white),
                    ),
                  ),
                ));
          },
        ),
      ),
    );
  }
}
