import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';

class SheetThumbnail extends StatelessWidget {
  final String iconUrl;
  final String listInitial;

  const SheetThumbnail({Key key, this.iconUrl, this.listInitial})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return iconUrl != null
        ? Container(
            margin: const EdgeInsets.symmetric(vertical: 5, horizontal: 8),
            decoration: BoxDecoration(
                border: Border.all(color: Colors.white, width: 1),
                borderRadius: BorderRadius.only(
                    topLeft: Radius.circular(15.0),
                    bottomLeft: Radius.circular(10.0),
                    bottomRight: Radius.circular(10.0),
                    topRight: Radius.circular(10.0))),
            child: ClipRRect(
              borderRadius: BorderRadius.only(
                  topLeft: Radius.circular(15.0),
                  bottomLeft: Radius.circular(10.0),
                  bottomRight: Radius.circular(10.0),
                  topRight: Radius.circular(10.0)),

              // Thumbnail image preview
              // child: CachedNetworkImage(
              //   imageUrl: iconUrl,
              //   fit: BoxFit.cover,
              //   placeholder: (context, url) =>
              //       Center(child: CircularProgressIndicator()),
              //   errorWidget: (context, url, error) => Center(
              //     child: Icon(Icons.error),
              //   ),
              // ),

              // Thumbnail initial preview
              child: Container(
                color: Colors.black54,
                child: Center(
                  child: Text(
                    listInitial,
                    style: TextStyle(fontSize: 40, color: Colors.white),
                  ),
                ),
              ),
            ))
        : Container(
            child: Center(
              child: Icon(
                Icons.folder,
                size: 50,
              ),
            ),
          );
  }
}
