import 'package:example/wallpaper.dart';
import 'package:flutter/material.dart';

// This provider class handles all the data for home screen, thumbnail and picker screen
class SheetProvider extends ChangeNotifier {
  // list of titles for piceker screen
  List<String> feedTitles = ['Marvel', 'Fortnite'];

  // list of images of home screen
  List<Wallpaper> feedImages = List();

  // thumbnail preview for home screen
  String thumbnailUrl;

  // thumbnail intiial for home screen
  String thumbnailInitial;

  // adding Marvel images to the feedImages;
  Future<void> addMarvel() async {
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/qAROplH.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/FIwHsMx.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/KOaeAGB.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/fTPrJkC.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/cs5qSjA.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/xlij5TG.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/BIgEQmS.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/dxQYYn1.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/nNQYLus.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/E5Hv6cV.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/W3s9ths.jpg'));
    feedImages.add(Wallpaper(url: 'https://i.imgur.com/PjP9ZhQ.jpg'));
  }

  // adding Fortnite images to the feedImages;
  Future<void> addFortnite() async {
    feedImages.add(Wallpaper(
        url:
            'https://cdn2.unrealengine.com/Fortnite%2Flanding-pages%2Fseason-8-v2%2Fheader%2F08BR_UA_Landing-Page_BP-Launch_Keyart_Home-1920x1080-7d810184e17fc1c2d35397c00dde4ff8ae0140b9.jpg'));
    feedImages.add(Wallpaper(
        url:
            'https://cdn2.unrealengine.com/Fortnite%2Fblog%2Fpatch-notes-v-8-51%2F09BR_News_BPLaunch_PatchNotes_CharacterArt_BR08_News_Featured_Launch_PatchNotes-1920x1080-e5bef4bd3b254034f18f483a74b57544aeb167f5.jpg'));
    feedImages.add(Wallpaper(
        url:
            'https://static-assets-prod.epicgames.com/fortnite/static/webpack/8f9484f10eb14f85a189fb6117a57026.jpg'));
    feedImages.add(Wallpaper(
        url:
            'https://cdn.vox-cdn.com/thumbor/S3xr75iVDwWcVPa6H15BiRCbqhs=/0x0:1920x1080/1200x800/filters:focal(865x573:1171x879)/cdn.vox-cdn.com/uploads/chorus_image/image/63879345/NintendoSwitch_Fortnite_E3Screenshot_1.0.jpg'));
    feedImages.add(Wallpaper(
        url:
            'https://s3.dexerto.com/thumbnails/_thumbnailLarge/Fortnite-Storm-Flip-disable-Trios-tournament.jpg'));
    feedImages.add(Wallpaper(
        url:
            'https://pmcvariety.files.wordpress.com/2019/05/fortnite-9-4.jpg?w=1000&h=563&crop=1'));
    feedImages.add(Wallpaper(
        url:
            'https://d2skuhm0vrry40.cloudfront.net/2019/articles/2019-08-01-09-06/fortnite_season_10_battle_pass_skins.jpg/EG11/resize/690x-1/quality/75/format/jpg'));

    feedImages.add(Wallpaper(
        url:
            'https://ichef.bbci.co.uk/news/660/cpsprodpb/EADA/production/_102822106_mediaitem102822103.jpg'));

    feedImages.add(Wallpaper(
        url:
            'https://blogs-images.forbes.com/erikkain/files/2018/05/Thanos-2.jpg'));

    feedImages.add(Wallpaper(
        url:
            'https://cdn2.unrealengine.com/Fortnite%2Fblog%2Fseason-x-competitive-launch-update%2FBR07_News_Featured_StateOfDev-1920x1080-fbb32eeb87c166f4f51fead156cae63f84231fa9.jpg'));

    feedImages.add(Wallpaper(
        url:
            'https://pmcvariety.files.wordpress.com/2018/12/fortnite-7-2.jpg?w=1000&h=563&crop=1'));
  }

  // loading content based on index of the list from picker screen
  void loadContent(int index) async {
    feedImages.clear();

    switch (index) {
      case 0:
        await addMarvel().then((_) {
          // getting first image for thumbnail from feed list
          thumbnailUrl = feedImages[0].url;
          thumbnailInitial = feedTitles[index].substring(0, 1);
        });
        notifyListeners();

        break;
      case 1:
        await addFortnite().then((_) {
          // getting first image for thumbnail from feed list
          thumbnailUrl = feedImages[0].url;

          // getting first for thumbnail from feed titles;
          thumbnailInitial = feedTitles[index].substring(0, 1);
        });
        notifyListeners();

        break;
      default:
    }
  }

  // sending list of images to home screen
  List<Wallpaper> getWallapers() {
    return feedImages;
  }
}
